using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper.Plugins;
using skyscraper5.Skyscraper.Scraper.Utils;

namespace skyscraper5.Skyscraper.Scraper.StreamAutodetection.Contestants
{
	[SkyscraperPlugin]
	class DisqualifiedContestant : Contestant, IDisposable
    {
        public DisqualifiedContestant(int pid) : base("Disqualified", pid)
        {
            PacketProcessor = new PacketDiscarder();
        }

        public override void Dispose()
        {
            
        }

        public override void DeclareWinner(SkyscraperContext skyscraperContext, int pid, ProgramContext programContext)
        {
	        throw new NotImplementedException();
        }

        public override void Introduce(ProgramContext programContext)
        {
	        
        }
    }
}
